name: env445
channels:
  - conda-forge
dependencies:
  - python=3.12
  - python-graphviz=0.20.*   # brings in both wrapper + binaries
  - pip
  - pip:
      # Uncomment for CUDA 12.6 build
      # - --extra-index-url=https://download.pytorch.org/whl/cu126
      - torch==2.8.0
      - torchvision==0.23.0
      - torchaudio==2.8.0
      - jupyterlab==4.4.*
      - nbgrader==0.9.*
      - ipympl==0.9.*
      - matplotlib==3.10.*
      - pandas==2.3.*
      - seaborn==0.13.*
      - scikit-learn==1.7.*
      - networkx==3.5.*
      - tensorboard~=2.20
      - transformers=4.57.*
